import os
import pathlib
import subprocess

from setuptools import setup

CURRENT_PATH = pathlib.Path(__file__).parent.resolve()

# bec_utils = os.path.join(os.getenv("BEC_PATH", f"{CURRENT_PATH}/../bec"), "bec_utils")

if __name__ == "__main__":
    # subprocess.run(f"pip install -e {bec_utils}", shell=True, check=True)

    setup(
        install_requires=["pyqt5==5.12", "pyqtgraph", "h5py", "PyQtWebEngine==5.12", "Pillow"], #this version works for comp1 CSAXS, no later version
        entry_points={"console_scripts": ["grum=grum:main"]},
    )


